Skip to main content
GET
Profile objects

Authorizations

Authorization
string
header
required

nia_sk_...

Path Parameters

profile_id
string<uuid>
required

Query Parameters

objects_cursor
string | null
Maximum string length: 200
actions_cursor
string | null
Maximum string length: 200

Response

The objects of the profile.

audience
enum<string>
required
Available options:
customer_agent,
internal_agent,
human,
reviewer,
analyst,
trigger_target,
export
policy_version
string
required
profile_id
string
required
actions
ActionOut · object[]

Actions on no object of the list, e.g. one that closes a promise.

actions_next
string | null

Where the actions' next page starts (actions_cursor); null when there are no more.

objects
ProfileObject · object[]
objects_next
string | null

Where the objects' next page starts (objects_cursor); null when there are no more.

withheld
Withheld · object